Package org.eclipse.mat.internal.snapshot

# Class HeapObjectParamArgument

java.lang.Object
org.eclipse.mat.internal.snapshot.HeapObjectArgumentFactory
org.eclipse.mat.internal.snapshot.HeapObjectParamArgument

All Implemented Interfaces:
  `ArgumentFactory`

public final class HeapObjectParamArgument extends HeapObjectArgumentFactory

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`HeapObjectParamArgument.Flags`

## Constructor Summary

Constructors
Constructor
Description
`HeapObjectParamArgument(ISnapshot snapshot)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addObjectAddress(long address)`
`void`
`addOql(String query)`
`void`
`addPattern(Pattern pattern)`
`void`
`appendUsage(StringBuilder buf)`
`IHeapObjectArgument`
`create()`
`List<Long>`
`getAddresses()`
`List<Object>`
`getArguments()`
`List<String>`
`getOqls()`
`List<Pattern>`
`getPatterns()`
`boolean`
`isComplete()`
`boolean`
`isIncludeClassInstance()`
`boolean`
`isIncludeLoadedInstances()`
`boolean`
`isIncludeSubclasses()`
`boolean`
`isRetained()`
`boolean`
`isVerbose()`
`void`
`setIncludeClassInstance(boolean includeClassInstance)`
`void`
`setIncludeLoadedInstances(boolean includeLoadedInstances)`
`void`
`setIncludeSubclasses(boolean includeSubclasses)`
`void`
`setRetained(boolean isRetained)`
`void`
`setVerbose(boolean isVerbose)`
`String`
`toString()`

### Methods inherited from class org.eclipse.mat.internal.snapshot.HeapObjectArgumentFactory

`build, build, build`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### HeapObjectParamArgument

public HeapObjectParamArgument(ISnapshot snapshot)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### appendUsage

public void appendUsage(StringBuilder buf)

### isIncludeSubclasses

public boolean isIncludeSubclasses()

### setIncludeSubclasses

public void setIncludeSubclasses(boolean includeSubclasses)

### isIncludeClassInstance

public boolean isIncludeClassInstance()

### setIncludeClassInstance

public void setIncludeClassInstance(boolean includeClassInstance)

### isIncludeLoadedInstances

public boolean isIncludeLoadedInstances()

### setIncludeLoadedInstances

public void setIncludeLoadedInstances(boolean includeLoadedInstances)

### isRetained

public boolean isRetained()

### setRetained

public void setRetained(boolean isRetained)

### isVerbose

public boolean isVerbose()

### setVerbose

public void setVerbose(boolean isVerbose)

### addObjectAddress

public void addObjectAddress(long address)

### addPattern

public void addPattern(Pattern pattern)

### addOql

public void addOql(String query)

### getArguments

public List<Object> getArguments()

### isComplete

public boolean isComplete()

### create

public IHeapObjectArgument create()

### getPatterns

public List<Pattern> getPatterns()

### getAddresses

public List<Long> getAddresses()

### getOqls

public List<String> getOqls()